using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HaiLong : Creature
{
    private Vector3 moveDir;
    [SerializeField] private float speedValue = 50f;

    protected override void Start()
    {
        base.Start();

        moveDir = GameApp.Instance.getRandomDir();
    }

    protected override void Update()
    {
        base.Update();
        HandleMovement();
    }

    private void HandleMovement()
    {
        Vector3 curPos = transform.position;
        curPos += moveDir * speedValue * Time.deltaTime;
        transform.position = curPos;
    }
}
